From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-libs/libstatgrab/
Date: Sat, 27 Feb 2021 01:00:29 +0000 (UTC) [thread overview]
Message-ID: <1614387617.a5bf629d70f6aa132a3b0b3740e8461b52a1d1d4.sam@gentoo> (raw)
commit: a5bf629d70f6aa132a3b0b3740e8461b52a1d1d4
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 27 00:50:01 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Feb 27 01:00:17 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5bf629d
sys-libs/libstatgrab: bump to 0.92
Closes: https://bugs.gentoo.org/730510
Closes: https://bugs.gentoo.org/716052
Package-Manager: Portage-3.0.15, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>
sys-libs/libstatgrab/Manifest | 1 +
sys-libs/libstatgrab/libstatgrab-0.92.ebuild | 43 ++++++++++++++++++++++++++++
2 files changed, 44 insertions(+)
diff --git a/sys-libs/libstatgrab/Manifest b/sys-libs/libstatgrab/Manifest
index 01a4f85a8e7..abd1dbf4922 100644
--- a/sys-libs/libstatgrab/Manifest
+++ b/sys-libs/libstatgrab/Manifest
@@ -1 +1,2 @@
DIST libstatgrab-0.91.tar.gz 776046 BLAKE2B 29906d4df8b8e8f1ae8fedf5ccac12b282b5cba66715a2d1b51059426e7cb073862e49cbee535c0f9ea7a34171cbc3d143a38a92149ffe5f22ed9ec426fec0be SHA512 f360f2e1b185bf9603b1d9c50649b0050e9502128ff81a9f4de88457e2f5203deafe7fd7ac13ebc4cc56e6ecd1bdf8aacae64987bdf36af0c9929e30626915f6
+DIST libstatgrab-0.92.tar.gz 815262 BLAKE2B d8ca538f01d9e0b1d5c459c9c0da6df5b6806e02649d726c3ee8a2f69233a7183df6dda95980a8e6f8b438478ec28f4baa9d623d5372e5e3e28ea4909e905872 SHA512 a99c6be56d930779d0d8f6f81e64e2f31e19423009c39e925b39116a42aa2c6037651992ac2168c43a5c6ecadf3e4a58486ab6148cf96118c429b04fdcf65192
diff --git a/sys-libs/libstatgrab/libstatgrab-0.92.ebuild b/sys-libs/libstatgrab/libstatgrab-0.92.ebuild
new file mode 100644
index 00000000000..5210d97f618
--- /dev/null
+++ b/sys-libs/libstatgrab/libstatgrab-0.92.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="A tool to provide access to statistics about the system on which it's run"
+HOMEPAGE="https://www.i-scream.org/libstatgrab/"
+SRC_URI="https://www.mirrorservice.org/sites/ftp.i-scream.org/pub/i-scream/libstatgrab/${P}.tar.gz"
+
+LICENSE="|| ( GPL-2 LGPL-2.1 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~x86"
+IUSE="doc examples"
+
+RDEPEND="sys-libs/ncurses"
+DEPEND="${RDEPEND}"
+
+DOCS=( ChangeLog PLATFORMS NEWS AUTHORS README )
+
+src_configure() {
+ local myeconfargs=(
+ --disable-setgid-binaries
+ --disable-setuid-binaries
+ --with-ncurses
+ --disable-static
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+
+ if use examples; then
+ docompress -x /usr/share/doc/${PF}/examples
+ docinto examples
+ doins -r examples/*
+ fi
+
+ find "${ED}" -name '*.la' -delete || die
+}
next reply other threads:[~2021-02-27 1:00 UTC|newest]
Thread overview: 22+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-02-27 1:00 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-18 17:38 [gentoo-commits] repo/gentoo:master commit in: sys-libs/libstatgrab/ Petr Vaněk
2024-09-18 17:38 Petr Vaněk
2023-10-09 18:57 Sam James
2023-10-09 4:53 Sam James
2023-10-09 4:46 Sam James
2023-07-29 10:16 Florian Schmaus
2023-05-14 1:35 Sam James
2022-04-15 13:14 Arthur Zamarin
2021-07-26 7:40 Yixun Lan
2021-03-26 16:17 Agostino Sarubbo
2021-03-26 15:06 Agostino Sarubbo
2021-03-26 13:40 Agostino Sarubbo
2021-03-01 9:59 Sam James
2021-02-27 1:00 Sam James
2021-02-27 1:00 Sam James
2021-02-27 1:00 Sam James
2019-09-11 16:21 Michał Górny
2018-05-20 23:26 Aaron Bauman
2018-05-01 22:15 Sergei Trofimovich
2018-03-31 23:41 Aaron Bauman
2017-06-27 17:56 Alexis Ballier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1614387617.a5bf629d70f6aa132a3b0b3740e8461b52a1d1d4.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox